Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Tomas Hlavaty <[email-masked]>
Date: Fri, 26 Aug 2022 08:54:13 +0200

On Fri 26 Aug 2022 at 09:11, Po Lu <[email-masked]> wrote:
> Tomas Hlavaty <[email-masked]> writes:
>
>> I am looking for something which:
>> - is customizable the Emacs way
>
> I guess a good recommendation would be to lower your expectations, since
> no toolkit provides face customization in as detailed a fashion as
> Emacs.

Yes, I am doing exactly that: lowering my expectations.  The first word
of this bug report is no-toolkit after all.

>> It looks like tmm-menubar is the only existing menu implementation which
>> satisfies my requirements and is probably the only reasonable way
>> forward.
>
> tmm-menubar doesn't even pop up menus.  How can it be the only
> reasonable way forward?

It does not pop up menus in the alien widget toolkit sense.

It does pop up menus in the emacs sense, i.e. the *Completions* buffer
pops up.  (After lowering my expectations, this is good enough.)

Maybe there is a more precise terminology to distinguish the two cases?

>> I think I need to first find a way to configure my emacs so that all
>> those X resource based menus are replaced with tmm-menubar.
>
> X resource based menus?

I think you called it XMenu.